INDEX-LOAD(1)

NAME
index-load - returns the load (number of keys w.r.t. number of slots) for a file index

SYNOPSIS
index-load filename

DESCRIPTION
index-load reports the number of slots, number of keys, and relative loading of the file index (an on-disk incremental hashtable) stored in filename

OPTIONS
No options

DIAGNOSTICS
The program reports an error if filename does not exist or does not contain valid file index.

BUGS
If some of the associations contain repeated values, they will be counted twice. For a completely accurate histogram, the file index should be repacked with repack-file-index(1) before being analyzed.

Revision Info
$Id: index-load.1,v 1.3 2002/07/10 00:13:11 haase Exp $

AUTHOR
Ken Haase < kh@beingmeta.com >

SEE ALSO
framerd(7) repack-file-index(1) make-file-index(1)